Bug 695887 - (CVE-2010-4665) CVE-2010-4665 libtiff tiffdump integer overflow
CVE-2010-4665 libtiff tiffdump integer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100622,reported=20110412,sou...
: Security
Depends On: 696204
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 17:19 EDT by Josh Bressers
Modified: 2016-03-04 06:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 13:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2011-04-12 17:19:01 EDT
The libtiff utility tiffdump contains an integer overflow which can be
triggered when operating in a directory containing a large number of files.

Upstream bug:
http://bugzilla.maptools.org/show_bug.cgi?id=2218
Comment 2 Josh Bressers 2011-04-13 08:50:33 EDT
Statement:

This flaw has already been fixed in Red Hat Enterprise Linux 4 and 5 by a patch included in RHSA-2010:0519.
Comment 3 Josh Bressers 2011-04-13 10:41:27 EDT
Created libtiff tracking bugs for this issue

Affects: fedora-all [bug 696204]
Comment 4 Tom Lane 2011-04-13 11:50:51 EDT
So far as I can tell, this is not only not a security issue, it's not a bug at all.  That fax2ps.c code is exactly the same upstream in 3.9.4 and 3.9.5 except for a gratuitous change in the spelling of the error message.  It looks to me like the submitted patch was entirely reverted by Bob Friesenhahn per http://bugzilla.maptools.org/show_bug.cgi?id=2118#c6
IOW, the original proposed patch was just plain wrong and unnecessary.
Comment 5 Josh Bressers 2011-04-13 14:08:51 EDT
I had the wrong upstream bug for this one. I fixed my above comment, but we already fixed this issue in RHSA-2010:0519. No further action is needed.

Sorry for the confusion.

Note You need to log in before you can comment on or make changes to this bug.